Subject: [rtcweb] AMR and max-red in draft-ietf-rtcweb-fec

From: Magnus Westerlund <[email-masked]>
Date: Tue, 5 Apr 2016 18:01:49 -0300

Hi,

As raised in the WG session there are where an open issue if there need 
to be any specification of the AMR/AMR-WB max-red parameter.

So RFC4867 do have the following on offer/answer usage of the parameter:

       -  The parameter "max-red" is a stream property parameter.  For
          send-only or send-recv unicast media streams, the parameter
          declares the limitation on redundancy that the stream sender
          will use.  For recvonly streams, it indicates the desired value
          for the stream sent to the receiver.  The answerer MAY change
          the value, but is RECOMMENDED to use the same limitation as the
          offer declares.  In the case of multicast, the offerer MAY
          declare a limitation; this SHALL be answered using the same
          value.  A media sender using this payload format is RECOMMENDED
          to always include the "max-red" parameter.  This information is
          likely to simplify the media stream handling in the receiver.
          This is especially true if no redundancy will be used, in which
          case "max-red" is set to 0.  As this parameter was not defined
          originally, some senders will not declare this parameter even
          if it will limit or not send redundancy at all.

Most notable is that media senders are RECOMMENDED to include it. Also 
note that it is the sender that indicates the limitation it intends to 
adhere to for the streams using this RTP payload type.

I also like to note that 3GPP in its specification for its Multimedia 
Telephony, has specified that one shall not use a value larger than 220 
ms, and the value should be a multiple of 20 ms.  Please see 3GPP TS 
26.114 version 13.3.0
http://www.3gpp.org/ftp/Specs/archive/26_series/26.114/26114-d30.zip

So from my perspective I think a WebRTC endpoint simply should follow 
the AMR RTP Payload specification when supported and include the 
parameter to indicate the actual upper range of the redundancy it 
intended to use. It is good to know about the limitation that 3GPP has 
defined as one likely reason to support AMR/AMR-WB is to be able to 
interoperate with 3GPP Services.

Thus I would suggest that a small addition to the Section 4.3 text and 
corrections in the first sentence:

OLD:
    For AMR/AMR-WB, support for redundant encoding, and the maximum
    supported depth, are controlled by the 'max-red' parameter, as
    specified in [RFC4867], Section 8.1.

NEW:
    For AMR/AMR-WB, support for redundant encoding, and the maximum
    used depth, is indicated by the 'max-red' parameter, as
    specified in [RFC4867], Section 8.1 and 8.2. The 3GPP Multimedia
    Telephony services specifies a maximum value of 220 ms for
    'max-red', see [3GPP.26.114].

New Informational Reference:

[3GPP.26.114]

<reference anchor="3GPP.26.114"><front><title>IP Multimedia Subsystem 
(IMS); Multimedia telephony; Media handling and 
interaction</title><author><organization>3GPP</organization></author><date 
day="17" month="March" year="2016"/></front><seriesInfo name="3GPP TS" 
value="26.114 13.3.0"/><format type="HTML" 
target="http://www.3gpp.org/ftp/Specs/html-info/26114.htm"/></reference>

Opinions?

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: <[email-masked]>
Date: Wed, 6 Apr 2016 08:17:58 +0000

Hello Magnus

I support your proposal. I would even suggest to relate this to the draft-ietf-rtcweb-audio-codecs-for-interop (where more information about use of AMR and AMR-WB is provided ) and specify more explicitly to include it in the offer/answer with an integer value multiple of 20ms not exceeding 220ms.
However, we can stay with your initial proposal if you or anyone else thinks it is preferable.

Kind regards

Stéphane

OLD:

NEW:
    For AMR/AMR-WB, support for redundant encoding, and the maximum
    used depth, is indicated by the 'max-red' parameter, as
    specified in [RFC4867], Section 8.1 and 8.2. The 3GPP Multimedia
    Telephony services specifies a maximum value of 220 ms for
    'max-red', see [3GPP.26.114]. If AMR or AMR-WB are offered for interoperability purpose,
   see [draft-ietf-rtcweb-audio-codecs-for-interop], the max-red parameter must be included
  in the offer and answer and set to an integer value multiple of 20ms.

-----Message d'origine-----
De : rtcweb [mailto:[email-masked]] De la part de Magnus Westerlund
Envoyé : mardi 5 avril 2016 23:02
À : [email-masked]; Justin Uberti
Objet : [rtcweb] AMR and max-red in draft-ietf-rtcweb-fec

Hi,

As raised in the WG session there are where an open issue if there need to be any specification of the AMR/AMR-WB max-red parameter.

Most notable is that media senders are RECOMMENDED to include it. Also note that it is the sender that indicates the limitation it intends to adhere to for the streams using this RTP payload type.

I also like to note that 3GPP in its specification for its Multimedia Telephony, has specified that one shall not use a value larger than 220 ms, and the value should be a multiple of 20 ms.  Please see 3GPP TS
26.114 version 13.3.0
http://www.3gpp.org/ftp/Specs/archive/26_series/26.114/26114-d30.zip

So from my perspective I think a WebRTC endpoint simply should follow the AMR RTP Payload specification when supported and include the parameter to indicate the actual upper range of the redundancy it intended to use. It is good to know about the limitation that 3GPP has defined as one likely reason to support AMR/AMR-WB is to be able to interoperate with 3GPP Services.

Thus I would suggest that a small addition to the Section 4.3 text and corrections in the first sentence:

OLD:

NEW:

[3GPP.26.114]

<reference anchor="3GPP.26.114"><front><title>IP Multimedia Subsystem (IMS); Multimedia telephony; Media handling and interaction</title><author><organization>3GPP</organization></author><date
day="17" month="March" year="2016"/></front><seriesInfo name="3GPP TS" 
value="26.114 13.3.0"/><format type="HTML" 
target="http://www.3gpp.org/ftp/Specs/html-info/26114.htm"/></reference>

Opinions?

Cheers

Magnus Westerlund

_______________________________________________
rtcweb mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rtcweb

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Wed, 6 Apr 2016 09:28:04 +0000

Sorry, the last part of the sentence in the proposal was missing  :  the max-red parameter must be included
  in the offer and answer and set to an integer value multiple of 20ms not exceeding 220ms.

OLD:

NEW:
  in the offer and answer and set to an integer value multiple of 20ms not exceeding 220ms.

-----Message d'origine-----
De : rtcweb [mailto:[email-masked]] De la part de [email-masked]
Envoyé : mercredi 6 avril 2016 10:18
À : Magnus Westerlund; [email-masked]; Justin Uberti
Objet : Re: [rtcweb] AMR and max-red in draft-ietf-rtcweb-fec

Hello Magnus

Kind regards

Stéphane

OLD:

NEW:

-----Message d'origine-----
De : rtcweb [mailto:[email-masked]] De la part de Magnus Westerlund Envoyé : mardi 5 avril 2016 23:02 À : [email-masked]; Justin Uberti Objet : [rtcweb] AMR and max-red in draft-ietf-rtcweb-fec

Hi,

OLD:

NEW:

[3GPP.26.114]

Opinions?

Cheers

Magnus Westerlund

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 7 Apr 2016 11:30:28 -0300

Hi,

I am generally fine with Stephane's proposal. I do note that the "must" 
in the last sentence probably need to be a "MUST", otherwise if the 
intention is just to point to requirements that exists, then please 
reformulate this to not use RFC2119 terms, even in lower cases.

Cheers

Magnus

-- 

Magnus Westerlund

---

From: <[email-masked]>
Date: Wed, 20 Apr 2016 06:58:08 +0000

Hello Magnus,

Sorry for the late answer

In order to ensure proper interworking it is worth having a real normative "MUST" here.

>     see [draft-ietf-rtcweb-audio-codecs-for-interop], the max-red parameter MUST be included

Stéphane

-----Message d'origine-----
De : Magnus Westerlund [mailto:[email-masked]] 
Envoyé : jeudi 7 avril 2016 16:30
À : PROUST Stéphane IMT/OLPS; [email-masked]; Justin Uberti
Objet : Re: [rtcweb] AMR and max-red in draft-ietf-rtcweb-fec

Hi,

I am generally fine with Stephane's proposal. I do note that the "must" 
in the last sentence probably need to be a "MUST", otherwise if the intention is just to point to requirements that exists, then please reformulate this to not use RFC2119 terms, even in lower cases.

Cheers

Magnus

Den 2016-04-06 kl. 06:28, skrev [email-masked]:
> De : rtcweb [mailto:[email-masked]] De la part de 
> [email-masked] Envoyé : mercredi 6 avril 2016 10:18 À : 
> Magnus Westerlund; [email-masked]; Justin Uberti Objet : Re: [rtcweb] 
> AMR and max-red in draft-ietf-rtcweb-fec
>
> Hello Magnus
>
> De : rtcweb [mailto:[email-masked]] De la part de Magnus 
> Westerlund Envoyé : mardi 5 avril 2016 23:02 À : [email-masked]; 
> Justin Uberti Objet : [rtcweb] AMR and max-red in 
> draft-ietf-rtcweb-fec
>
> Hi,
>
> Telephony, has specified that one shall not use a value larger than 
> 220 ms, and the value should be a multiple of 20 ms.  Please see 3GPP 
> TS
> 26.114 version 13.3.0
> interaction</title><author><organization>3GPP</organization></author><
> date day="17" month="March" year="2016"/></front><seriesInfo 
> name="3GPP TS"
> ______________________________________________________________________
> ___________________________________________________
>
> ______________________________________________________________________
> ___________________________________________________
>
> Ce message et ses pieces jointes peuvent contenir des informations 
> confidentielles ou privilegiees et ne doivent donc pas etre diffuses, 
> exploites ou copies sans autorisation. Si vous avez recu ce message 
> par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>
> This message and its attachments may contain confidential or 
> privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.

-- 

Magnus Westerlund